﻿' Note: Set the Canvas's Background property to Brushes.White at design time.
Class Window1
    Private new_polyline As Polyline = Nothing

    ' Start drawing.
    Private Sub canScribble_MouseLeftButtonDown(ByVal sender As Object, ByVal e As System.Windows.Input.MouseButtonEventArgs) Handles canScribble.MouseLeftButtonDown
        ' Create a new Polygon object.
        new_polyline = New Polyline()
        new_polyline.Points.Add(e.GetPosition(canScribble))
        new_polyline.Stroke = Brushes.Red

        ' Add the object to the canvas.
        canScribble.Children.Add(new_polyline)
    End Sub

    ' Continue drawing. Add a new point to the Polyline.
    Private Sub canScribble_MouseMove(ByVal sender As Object, ByVal e As System.Windows.Input.MouseEventArgs) Handles canScribble.MouseMove
        If new_polyline IsNot Nothing Then
            new_polyline.Points.Add(e.GetPosition(canScribble))
        End If
    End Sub

    ' Stop drawing.
    Private Sub canScribble_MouseLeftButtonUp(ByVal sender As Object, ByVal e As System.Windows.Input.MouseButtonEventArgs) Handles canScribble.MouseLeftButtonUp
        new_polyline = Nothing
    End Sub
End Class
